Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface EJBMethodStats

All Superinterfaces:
  Stats

public interface EJBMethodStats
extends Stats

A Stats interface to represent the statistical data exposed by an EJB Business Method. These are based on the statistics exposed in S1AS7.0. All the EJB Methods should expose statistical data by implementing this interface.

Method Summary
`CountStatistic` | `getExecutionTime()` Returns the time spent during the last successful/unsuccessful attempt to execute the operation, as a CountStatistic.
`TimeStatistic` | `getMethodStatistic()` Returns the statistics of the method invocation as an instance of TimeStatistic.
`CountStatistic` | `getTotalNumErrors()` Returns the total number of errors as a CountStatistic.
`CountStatistic` | `getTotalNumSuccess()` Returns the total number of successful runs, as a CountStatistic.

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getMethodStatistic

    public TimeStatistic getMethodStatistic()

  Returns the statistics of the method invocation as an instance of TimeStatistic. Note that it returns the number of times the operation called, the total time that was spent during the invocation and so on. All the calculations of the statistic are being done over time.

  Returns:
    in instance of `TimeStatistic`

### getTotalNumErrors

    public CountStatistic getTotalNumErrors()

  Returns the total number of errors as a CountStatistic. It is upto the method implementor to characterize what an error is. Generally if an operation results in an exception, this count will increment by one.

  Returns:
    an instance of `CountStatistic`

### getTotalNumSuccess

    public CountStatistic getTotalNumSuccess()

  Returns the total number of successful runs, as a CountStatistic. It is upto the method implementor to characterize what a successful run is. Generally if an operation returns normally, this count will increment by one.

  Returns:
    an instance of `CountStatistic`

### getExecutionTime

    public CountStatistic getExecutionTime()

  Returns the time spent during the last successful/unsuccessful attempt to execute the operation, as a CountStatistic. The time spent is generally an indication of the system load/processing time.

  Returns:
    an instance of `CountStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.